%define oname   xml-simple

Name:       ruby-%{oname}
Version:    1.1.5
Release:    %mkrel 3
Summary:    A simple API for XML processing
License:    GPLv2+ or Ruby License
Group:      Development/Ruby
URL:        http://xml-simple.rubyforge.org
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
A simple API for XML processing.

%files
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

chmod 644 %{buildroot}%{gem_instdir}/lib/xmlsimple.rb


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.1.5-3.mga8
+ Revision: 1499981
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.1.5-2.mga7
+ Revision: 1275311
- Mageia 7 Mass Rebuild

* Sun Feb 14 2016 pterjan <pterjan> 1.1.5-1.mga6
+ Revision: 960134
- Update to 1.1.5

* Mon Feb 08 2016 umeabot <umeabot> 1.1.3-4.mga6
+ Revision: 946230
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.3-3.mga5
+ Revision: 745874
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.3-2.mga5
+ Revision: 689002
- Mageia 5 Mass Rebuild

* Mon May 05 2014 pterjan <pterjan> 1.1.3-1.mga5
+ Revision: 620125
- 1.1.3

* Sat Dec 28 2013 pterjan <pterjan> 1.1.2-6.mga4
+ Revision: 562617
- Fix gem macros

* Sat Oct 19 2013 umeabot <umeabot> 1.1.2-5.mga4
+ Revision: 536219
- Mageia 4 Mass Rebuild

* Mon Sep 23 2013 fwang <fwang> 1.1.2-4.mga4
+ Revision: 483741
- use gem_setup

* Fri Feb 08 2013 umeabot <umeabot> 1.1.2-3.mga3
+ Revision: 396620
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.1.2-2.mga3
+ Revision: 381629
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 04 2012 fwang <fwang> 1.1.2-1.mga3
+ Revision: 314094
- new version 1.1.2

* Sat Apr 09 2011 shikamaru <shikamaru> 1.0.15-1.mga1
+ Revision: 82574
- new version 1.0.15

* Sat Feb 12 2011 shikamaru <shikamaru> 1.0.14-1.mga1
+ Revision: 50847
- imported package ruby-xml-simple


* Sat Feb 12 2011 Rémy Clouard <shikamaru@mandriva.org> - 1.0.14-1mdv2011.0
- Apply new ruby policy
- Apply general mageia rules
- New version 1.0.14

* Fri Dec 10 2010 Rémy Clouard <shikamaru@mandriva.org> 1.0.12-1mdv2011.0
+ Revision: 620455
- import rubygem-xml-simple

